Foreman - Bug #6529

Make DHCP auto-suggest IP configurable
07/08/2014 11:54 AM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Ohad Levy
Category: DHCP
Target version: 1.6.0
Difficulty: easy Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1625
Description

As per the thread: https:/groups.google.com/forum/#!topic/foreman-users/Wf4vRM8byCg

It seems some users have needs where their DHCP proxy auto IP suggestion isn't necessary and confuses them.

| suggest making an option (checkbox) in each subnet, "auto suggest IPs", with a help text "if enabled IPs will be suggested for hosts
in this subnet" and letting people make their choice. If there is no DHCP proxy available for the subnet in question, we default to

'false'.

On the Host form, we should only display "suggest new" if the subnet has the "auto suggest IPs" option enabled.

Associated revisions

Revision 160ffa2a - 07/30/2014 05:24 AM - Ohad Levy

fixes #6529 allow to define IP suggestion per subnet

History

#1 - 07/28/2014 04:07 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1625 added

#2 - 07/29/2014 03:14 AM - Dominic Cleal
- Assignee set to Ohad Levy

#3 - 07/30/2014 05:25 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#4 - 07/30/2014 06:01 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 160ffa2a85d5a2e6e9c0064c1b27e75¢51082071.
